require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Tucano" do
    before do
      @tucano = Tucano::ProductSearch.new('AKIAJ5HO5KJC4OISP7WQ', 'QqaxJ09GZbMZPcETeDOOoSQrdm4llVIf3jg1q8+g', 'voicsear-20')
      @products = @tucano.search("Rails")
    end

  describe "Search" do
    it "should be create a request when given a query string" do
      @tucano.should be_an_instance_of Tucano::ProductSearch
    end

    it "should return an array" do
      @products.should be_an_instance_of Array
    end

    it "should return an array of items" do
      @products.first.should be_an_instance_of Tucano::Item
    end

    it "should set the attributes of each item" do
      item = @products.first
      item.name.length.should be > 0
      item.image.length.should be > 0
      item.category.length.should be > 0
      item.currency.should == "USD"
    end

    it "should return an empty array when no results are found" do
      @tucano.search("sofewfbewiofbewofinalskdn fnwlefbkf").should == []
    end
  end
end
